local config = dofile_once("mods/commonifier/config.lua")

RegisterSpawnFunction( 0xff95aa38, "spawn_wand_trap_special" )
RegisterSpawnFunction( 0xffa56ed5, "torches" )
RegisterSpawnFunction( 0xffeb6528, "lava_trap" )

for i, v in ipairs(g_pixel_scene_02) do 
  if type(v) == "table" then
    v.prob = 1
  end
end

if ModIsEnabled("nukes_altars") then
	for i, v in ipairs(g_pixel_scene_02) do 
	  if type(v) == "table" and string.find(v.material_file, "nukes_altars") then
		v.prob = 1
	  end
	end
end

if config.unused_scenes_enabled then

	table.insert(g_pixel_scene_02,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/coalmine/wandtrap_h_01.png",
		visual_file		= "data/biome_impl/coalmine/wandtrap_h_01_visual.png",
		background_file	= "",
		is_unique		= 0,
	})

	table.insert(g_pixel_scene_02,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/coalmine/wandtrap_h_03.png",
		visual_file		= "data/biome_impl/coalmine/wandtrap_h_03_visual.png",
		background_file	= "",
		is_unique		= 0,
	})

	table.insert(g_pixel_scene_02,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/coalmine/lavacave_temple.png",
		visual_file		= "data/biome_impl/coalmine/lavacave_temple_visual.png",
		background_file	= "",
		is_unique		= 0,
	})
	
	table.insert(g_pixel_scene_02,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/coalmine/wandtrap_h_08.png",
		visual_file		= "data/biome_impl/coalmine/wandtrap_h_02_visual.png",
		background_file	= "",
		is_unique		= 0,
	})

end

	table.insert(g_pixel_scene_02,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/coalmine/wandtrap_h_05.png",
		visual_file		= "data/biome_impl/coalmine/wandtrap_h_05_visual.png",
		background_file	= "",
		is_unique		= 0,
		color_material = { ["ffD0FFE8"] = { "alcohol" } }
	})

	table.insert(g_pixel_scene_02,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/coalmine/wandtrap_h_02.png",
		visual_file		= "data/biome_impl/coalmine/wandtrap_h_02_visual.png",
		background_file	= "",
		is_unique		= 0,
	})

	table.insert(g_pixel_scene_02,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/coalmine/wandtrap_h_04.png",
		visual_file		= "data/biome_impl/coalmine/wandtrap_h_04_visual.png",
		background_file	= "",
		is_unique		= 0,
		color_material = { ["fff0bbee"] = { "oil", "alcohol", "gunpowder_explosive", "oil", "alcohol", "oil", "alcohol" } }
	})

	table.insert(g_pixel_scene_02,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/coalmine/wandtrap_h_06.png",
		visual_file		= "data/biome_impl/coalmine/wandtrap_h_06_visual.png",
		background_file	= "",
		is_unique		= 0,
		color_material = { ["fff0bbee"] = { "magic_liquid_teleportation", "magic_liquid_polymorph", "magic_liquid_random_polymorph", "radioactive_liquid" } }
	})

	table.insert(g_pixel_scene_02,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/coalmine/wandtrap_h_07.png",
		visual_file		= "data/biome_impl/coalmine/wandtrap_h_06_visual.png",
		background_file	= "",
		is_unique		= 0,
		color_material = { ["fff0bbee"] = { "water", "oil", "alcohol", "radioactive_liquid" } }
	})


function spawn_wand_trap_special( x, y )
	EntityLoad( "data/entities/props/physics_trap_circle_acid_special.xml", x, y )
end

function torches( x, y )
	EntityLoad( "data/entities/props/physics_torch_stand.xml", x, y )
end

function lava_trap( x, y )
	EntityLoad( "data/entities/props/physics_trap_circle_lava.xml", x, y )
end