local config = dofile_once("mods/commonifier/config.lua")

RegisterSpawnFunction( 0xff95aa38, "spawn_wand_trap_special" )
RegisterSpawnFunction( 0xffa56ed5, "torches" )
RegisterSpawnFunction( 0xffeb6528, "lava_trap" )

ANVIL_OF_DESTINY_PROB = 1

for i, v in ipairs(g_pixel_scene_02) do 
  if type(v) == "table" then
    v.prob = 1
  end
end

for i, v in ipairs(g_pixel_scene_01) do 
  if type(v) == "table" then
    v.prob = 1
  end
end

if ModIsEnabled("anvil_of_destiny") then
	for i, v in ipairs(g_pixel_scene_02) do 
	  if type(v) == "table" and string.sub(v.material_file, 1, 21) == "mods/anvil_of_destiny" then
		v.prob = ANVIL_OF_DESTINY_PROB
	  end
	end
end

if ModIsEnabled("nukes_altars") then
	for i, v in ipairs(g_pixel_scene_02) do 
	  if type(v) == "table" and string.find(v.material_file, "nukes_altars") then
		v.prob = 1
	  end
	end
end

if config.unused_scenes_enabled then

	table.insert(g_pixel_scene_02,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/coalmine/wandtrap_h_01.png",
		visual_file		= "data/biome_impl/coalmine/wandtrap_h_01_visual.png",
		background_file	= "",
		is_unique		= 0,
	})
	--1

	table.insert(g_pixel_scene_02,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/coalmine/wandtrap_h_03.png",
		visual_file		= "data/biome_impl/coalmine/wandtrap_h_03_visual.png",
		background_file	= "",
		is_unique		= 0,
	})

	table.insert(g_pixel_scene_02,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/coalmine/lavacave_temple.png",
		visual_file		= "data/biome_impl/coalmine/lavacave_temple_visual.png",
		background_file	= "",
		is_unique		= 0,
	})
	
	table.insert(g_pixel_scene_02,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/coalmine/wandtrap_h_08.png",
		visual_file		= "data/biome_impl/coalmine/wandtrap_h_02_visual.png",
		background_file	= "",
		is_unique		= 0,
	})

end

	table.insert(g_pixel_scene_02,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/coalmine/wandtrap_h_05.png",
		visual_file		= "data/biome_impl/coalmine/wandtrap_h_05_visual.png",
		background_file	= "",
		is_unique		= 0,
		color_material = { ["ffD0FFE8"] = { "alcohol" } }
	})

	table.insert(g_pixel_scene_01,
	{
			prob   			= 13.3333333333,
			material_file 	= "data/biome_impl/coalmine/oiltank_1.png",
			visual_file		= "data/biome_impl/coalmine/oiltank_1_visual.png",
			background_file	= "",
			is_unique		= 0,
			color_material = { ["fff0bbee"] = { "water", "oil", "water", "oil", "alcohol", "sand", "coal", "radioactive_liquid" } }
	})

	table.insert(g_pixel_scene_01,
	{
			prob   			= 13.3333333333,
			material_file 	= "data/biome_impl/coalmine/oiltank_1.png",
			visual_file		= "data/biome_impl/coalmine/oiltank_1_visual.png",
			background_file	= "",
			is_unique		= 0,
			color_material = { ["fff0bbee"] = { "blood_fungi", "blood_cold", "lava", "poison", "slime", "gunpowder_explosive", "soil", "salt", "blood", "cement" } }
	})

	table.insert(g_pixel_scene_01,
	{
			prob   			= 13.3333333333,
			material_file 	= "data/biome_impl/coalmine/oiltank_2.png",
			visual_file		= "data/biome_impl/coalmine/oiltank_2_visual.png",
			background_file	= "",
			is_unique		= 0,
			color_material = { ["fff0bbee"] = { "water", "oil", "water", "oil", "alcohol", "oil", "coal", "radioactive_liquid" } }
	})

	table.insert(g_pixel_scene_01,
	{
			prob   			= 13.3333333333,
			material_file 	= "data/biome_impl/coalmine/oiltank_3.png",
			visual_file		= "data/biome_impl/coalmine/oiltank_3_visual.png",
			background_file	= "",
			is_unique		= 0,
			color_material = { ["fff0bbee"] = { "water", "oil", "water", "oil", "alcohol", "water", "coal", "radioactive_liquid", "magic_liquid_teleportation" } }
	})

	table.insert(g_pixel_scene_01,
	{
			prob   			= 13.3333333333,
			material_file 	= "data/biome_impl/coalmine/oiltank_4.png",
			visual_file		= "data/biome_impl/coalmine/oiltank_4_visual.png",
			background_file	= "",
			is_unique		= 0,
			color_material = { ["fff0bbee"] = { "water", "oil", "water", "oil", "alcohol", "sand", "coal", "radioactive_liquid", "magic_liquid_polymorph" } }
	})

	table.insert(g_pixel_scene_01,
	{
			prob   			= 13.3333333333,
			material_file 	= "data/biome_impl/coalmine/oiltank_5.png",
			visual_file		= "",
			background_file	= "",
			is_unique		= 0,
			color_material = { ["fff0bbee"] = { "water", "oil", "water", "oil", "alcohol", "radioactive_liquid", "coal", "radioactive_liquid" } }
	})

function spawn_wand_trap_special( x, y )
	EntityLoad( "data/entities/props/physics_trap_circle_acid_special.xml", x, y )
end

function torches( x, y )
	EntityLoad( "data/entities/props/physics_torch_stand.xml", x, y )
end

function lava_trap( x, y )
	EntityLoad( "data/entities/props/physics_trap_circle_lava.xml", x, y )
end