local config = dofile_once("mods/commonifier/config.lua")

RegisterSpawnFunction( 0xff9E8AC2, "load_suspension_bridge" )
RegisterSpawnFunction( 0xff43aaaa, "spawn_lamprey" )
RegisterSpawnFunction( 0xff129938, "spawn_fish2" )

g_lamprey =
{
	total_prob = 0,
	-- add skullflys after this step
	{
		prob   		= 1.0,
		min_count	= 1,
		max_count	= 1,    
		entity 	= "data/entities/animals/eel3.xml"
	},
}

g_fish2 =
{
	total_prob = 0,
	-- add skullflys after this step
	{
		prob   		= 1.0,
		min_count	= 6,
		max_count	= 6,    
		entity 	= "data/entities/animals/fish_large.xml"
	},
}

ANVIL_OF_DESTINY_PROB = 1

if ModIsEnabled("anvil_of_destiny") then
	for i, v in ipairs(g_pixel_scene_02) do 
	  if type(v) == "table" and string.sub(v.material_file, 1, 21) == "mods/anvil_of_destiny" then
		v.prob = ANVIL_OF_DESTINY_PROB
	  end
	end
end

for i, v in ipairs(g_pixel_scene_02) do 
  if type(v) == "table" then
    v.prob = 1
  end
end

if config.trailer_scenes_enabled then

	table.insert(g_pixel_scene_02,
	{
			prob   			= 1,
			material_file 	= "data/biome_impl/snowcave/altar_trailer.png",
			visual_file		= "",
			background_file	= "",
			is_unique		= 0
	})

	table.insert(g_pixel_scene_02,
	{
			prob   			= 1,
			material_file 	= "data/biome_impl/snowcave/fish_trailer.png",
			visual_file		= "",
			background_file	= "",
			is_unique		= 0
	})

end

function load_suspension_bridge( x, y )
	EntityLoad( "data/entities/props/physics_suspension_bridge_spawner_trailer.xml", x, y )
end

function spawn_lamprey(x, y)
	spawn(g_lamprey,x,y)
end

function spawn_fish2(x, y)
	spawn(g_fish2,x,y)
end