local config = dofile_once("mods/commonifier/config.lua")

RegisterSpawnFunction( 0xff3e00ff, "teletank" )
RegisterSpawnFunction( 0xff16a220, "spawn_flamers" )

g_flamers =
{
	total_prob = 0,
	{
		prob   		= 1.0,
		min_count	= 1,
		max_count	= 1,    
		entity 	= "data/entities/animals/vault/flamer.xml"
	},
}

g_teletank =
{
	total_prob = 0,
	{
		prob   			= 1,
		material_file 	= "data/biome_impl/vault/teletank.png",
		visual_file		= "data/biome_impl/vault/teletank_visual.png",
		background_file	= "",
		is_unique		= 0,
	},
}

ANVIL_OF_DESTINY_PROB = 1

if ModIsEnabled("anvil_of_destiny") then
	for i, v in ipairs(g_pixel_scene_02) do 
	  if type(v) == "table" and string.sub(v.material_file, 1, 21) == "mods/anvil_of_destiny" then
		v.prob = ANVIL_OF_DESTINY_PROB
	  end
	end
end

if ModIsEnabled("anvil_of_destiny") then
	for i, v in ipairs(g_pixel_scene_01) do 
	  if type(v) == "table" and string.sub(v.material_file, 1, 21) == "mods/anvil_of_destiny" then
		v.prob = 1
	  end
	end
end

for i, v in ipairs(g_pixel_scene_02) do 
  if type(v) == "table" then
    v.prob = 1
  end
end

local vault_liquids = { ["fff0bbee"] =  { "radioactive_liquid", "radioactive_liquid", "acid", "acid", "acid", "alcohol" },
					  ["ffa4dbd5"] =  { "radioactive_liquid", "radioactive_liquid", "acid", "acid", "acid", "alcohol" }}

if config.unused_scenes_enabled then

	table.insert(g_pixel_scene_01,
	{
			prob   			= 1,
			material_file 	= "data/biome_impl/vault/acidtank2.png",
			visual_file		= "data/biome_impl/vault/acidtank2_visual.png",
			background_file	= "data/biome_impl/vault/acidtank2_background.png",
			is_unique		= 0
	})
	
	table.insert(g_pixel_scene_02,
	{
			prob   			= 1,
			material_file 	= "data/biome_impl/vault/symbolroom2.png",
			visual_file		= "",
			background_file	= "",
			is_unique		= 0
	})
	
	table.insert(g_pixel_scene_02,
	{
			prob   			= 1,
			material_file 	= "data/biome_impl/vault/lab4.png",
			visual_file		= "data/biome_impl/vault/lab4_visual.png",
			background_file	= "data/biome_impl/vault/lab4_background.png",
			is_unique		= 0,
			color_material  = vault_liquids,
	})

	table.insert(g_pixel_scene_02,
	{
			prob   			= 1,
			material_file 	= "data/biome_impl/vault/lab5.png",
			visual_file		= "data/biome_impl/vault/lab5_visual.png",
			background_file	= "data/biome_impl/vault/lab5_background.png",
			is_unique		= 0,
			color_material  = vault_liquids,
	})

	table.insert(g_pixel_scene_02,
	{
			prob   			= 1,
			material_file 	= "data/biome_impl/vault/lab6.png",
			visual_file		= "data/biome_impl/vault/lab6_visual.png",
			background_file	= "data/biome_impl/vault/lab6_background.png",
			is_unique		= 0,
			color_material  = vault_liquids,
	})
	
end

table.insert(g_pixel_scene_01,
{
		prob   			= 1,
		material_file 	= "data/biome_impl/vault/electric_tunnel_room.png",
		visual_file		= "",
		background_file	= "data/biome_impl/vault/electric_tunnel_room_background.png",
		is_unique		= 0
})

table.insert(g_pixel_scene_02,
{
		prob   			= 1,
		material_file 	= "data/biome_impl/vault/brain_room.png",
		visual_file		= "data/biome_impl/vault/brain_room_visual.png",
		background_file	= "data/biome_impl/vault/brain_room_background.png",
		is_unique		= 0
})

table.insert(g_pixel_scene_02,
{
		prob   			= 1,
		material_file 	= "data/biome_impl/vault/shop.png",
		visual_file		= "data/biome_impl/vault/shop_visual.png",
		background_file	= "",
		is_unique		= 0
})

function teletank( x,y )
	load_random_pixel_scene( g_teletank, x - 7, y - 7 )
end

function spawn_flamers(x, y)
	spawn(g_flamers,x,y)
end